package com.dsic.gj_erp.bean.jhgk;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmQfxq对象", description="")
public class DmQfxq implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "船名")
    @TableField("DC_CH")
    private String dcCh;

    @ApiModelProperty(value = "批量")
    @TableField("DC_PL")
    private String dcPl;

    @ApiModelProperty(value = "分段")
    @TableField("DC_FD")
    private String dcFd;

    @ApiModelProperty(value = "配送场地")
    private String pscd;

    @ApiModelProperty(value = "车间主管")
    private String cjzg;

    @ApiModelProperty(value = "大板")
    private String db;

    @ApiModelProperty(value = "型材")
    private String xc;

    @ApiModelProperty(value = "T型材")
    private String txc;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "状态")
    private String zt;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    @ApiModelProperty(value = "编制人员")
    private String bzry;
    @ApiModelProperty(value = "编制日期")
    private String bzrq;
    @ApiModelProperty(value = "审核人员")
    private String shry;
    @ApiModelProperty(value = "审核日期")
    private String shrq;

}
