package com.dsic.gj_erp.bean.jhgk.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmSygd对象", description="")
public class SyExcel implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "产品")
    @ExcelProperty(index = 1)
    private String dcCh1;

    @ApiModelProperty(value = "目标船只")
    @ExcelProperty(index = 2)
    private String dcCh2;

    @ApiModelProperty(value = "本船只")
    @ExcelProperty(index = 3)
    private String dcCh3;

    @ApiModelProperty(value = "批量")
    @ExcelProperty(index = 4)
    private String dcPl;

    @ApiModelProperty(value = "分段")
    @ExcelProperty(index = 5)
    private String dcFd;

    @ApiModelProperty(value = "板数")
    @ExcelProperty(index = 6)
    private Double bs;

    @ApiModelProperty(value = "到货数量")
    @ExcelProperty(index = 7)
    private Double dhsl;

    @ApiModelProperty(value = "在途数量")
    @ExcelProperty(index = 8)
    private Double ztsl;

    @ApiModelProperty(value = "生产下发期")
    @ExcelProperty(index = 9)
    @DateTimeFormat("yyyy/MM/dd")
    private String scxfq;

    @ApiModelProperty(value = "型材抛丸")
    @ExcelProperty(index = 10)
    private String xcpw;

    @ApiModelProperty(value = "根数")
    @ExcelProperty(index = 11)
    private Double gs;

    @ApiModelProperty(value = "抛丸")
    @ExcelProperty(index = 12)
    private String pw;

    @ApiModelProperty(value = "坡口切割结束")
    @ExcelProperty(index = 13)
    @DateTimeFormat("yyyy/MM/dd")
    private String pkjs1;

    @ApiModelProperty(value = "二垮数控板数")
    @ExcelProperty(index = 14)
    private String skbs1;

    @ApiModelProperty(value = "数控切割开始")
    @ExcelProperty(index = 15)
    @DateTimeFormat("yyyy/MM/dd")
    private String skks1;

    @ApiModelProperty(value = "坡口长度")
    @ExcelProperty(index = 16)
    private Double pkcd1;

    @ApiModelProperty(value = "坡口切割结束")
    @ExcelProperty(index = 17)
    @DateTimeFormat("yyyy/MM/dd")
    private String pkjs2;

    @ApiModelProperty(value = "三垮数控板数")
    @ExcelProperty(index = 18)
    private String skbs2;

    @ApiModelProperty(value = "数控切割开始")
    @ExcelProperty(index = 19)
    @DateTimeFormat("yyyy/MM/dd")
    private String skks2;

    @ApiModelProperty(value = "坡口长度")
    @ExcelProperty(index = 20)
    private Double pkcd2;

    @ApiModelProperty(value = "坡口切割结束")
    @ExcelProperty(index = 21)
    @DateTimeFormat("yyyy/MM/dd")
    private String pkjs3;

    @ApiModelProperty(value = "三垮平铁板数")
    @ExcelProperty(index = 22)
    private String ptbs;

    @ApiModelProperty(value = "平铁切割开始")
    @ExcelProperty(index = 23)
    @DateTimeFormat("yyyy/MM/dd")
    private String ptks;

    @ApiModelProperty(value = "平铁切割结束")
    @ExcelProperty(index = 24)
    @DateTimeFormat("yyyy/MM/dd")
    private String ptjs;

    @ApiModelProperty(value = "曲平铁转结束")
    @ExcelProperty(index = 25)
    @DateTimeFormat("yyyy/MM/dd")
    private String qptzjs;

    @ApiModelProperty(value = "曲平铁结束")
    @ExcelProperty(index = 26)
    @DateTimeFormat("yyyy/MM/dd")
    private String qptjs;

    @ApiModelProperty(value = "曲外板结束")
    @ExcelProperty(index = 27)
    @DateTimeFormat("yyyy/MM/dd")
    private String qwbjs;

    @ApiModelProperty(value = "组立")
    @ExcelProperty(index = 28)
    @DateTimeFormat("yyyy/MM/dd")
    private String zl;

    @ApiModelProperty(value = "数控板数")
    @ExcelProperty(index = 29)
    private String skbs3;

    @ApiModelProperty(value = "数控切割开始")
    @ExcelProperty(index = 30)
    @DateTimeFormat("yyyy/MM/dd")
    private String skks3;

    @ApiModelProperty(value = "坡口长度")
    @ExcelProperty(index = 31)
    private Double pkcd3;

    @ApiModelProperty(value = "坡口切割结束")
    @ExcelProperty(index = 32)
    @DateTimeFormat("yyyy/MM/dd")
    private String pkjs4;

    @ApiModelProperty(value = "面板挤边")
    @ExcelProperty(index = 33)
    @DateTimeFormat("yyyy/MM/dd")
    private String mbjb;

    @ApiModelProperty(value = "七垮型材米数")
    @ExcelProperty(index = 34)
    private Double xcms;

    @ApiModelProperty(value = "型材面板")
    @ExcelProperty(index = 35)
    private String xcmb;

    @ApiModelProperty(value = "分段需求")
    @ExcelProperty(index = 36)
    @DateTimeFormat("yyyy/MM/dd")
    private String fdxqq;

    @ApiModelProperty(value = "光电  结束")
    @ExcelProperty(index = 37)
    @DateTimeFormat("yyyy/MM/dd")
    private String gdjs;

    @ApiModelProperty(value = "备注")
    @ExcelProperty(index = 38)
    private String bz;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


}
