package com.dsic.gj_erp.service.jhgk.impl;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dsic.gj_erp.bean.jcsj.EmGcrl;
import com.dsic.gj_erp.bean.jhgk.DmQfxq;
import com.dsic.gj_erp.bean.jhgk.DmSygdMx;
import com.dsic.gj_erp.bean.jhgk.DmYdjh;
import com.dsic.gj_erp.mapper.jhgk.DmYdjhMapper;
import com.dsic.gj_erp.service.jcsj.DmBomService;
import com.dsic.gj_erp.service.jcsj.EmGcrlService;
import com.dsic.gj_erp.service.jhgk.DmQfxqService;
import com.dsic.gj_erp.service.jhgk.DmSygdMxService;
import com.dsic.gj_erp.service.jhgk.DmYdjhService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;
import java.util.stream.Collectors;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author xn
 * @since 2023-11-09
 */
@Service
public class DmYdjhServiceImpl extends ServiceImpl<DmYdjhMapper, DmYdjh> implements DmYdjhService {

    @Autowired
    private DmQfxqService qfxqService;
    @Autowired
    private DmSygdMxService sygdMxService;
    @Autowired
    private DmBomService bomService;
    @Autowired
    private EmGcrlService gcrlService;

    @Override
    public List<DmSygdMx> tjydjh() {
        //根据 前方需求 三月滚动 排产
        //1.查看下月的前方需求是否已导入
        //2.根据前方需求的 船号、批量，查找三月滚动明细（板）
        //3.根据前方需求期，重新为三月滚动明细排产（板），排产后的数据添加到月度计划，并且反写数据到三月滚动明细
//      List<DmQfxq> qfxqList= qfxqService.list(new QueryWrapper<DmQfxq>().eq("substring(db,0,8) ", DateUtil.format(DateUtil.nextMonth(),"yyyy/MM")));
        int i = qfxqService.count(new QueryWrapper<DmQfxq>()
                .eq("substring(db,0,8) ", "2023/08"));
         if (i < 1) {
            System.out.println("下月的前方需求信息未导入！");
            return null;
        }
        List<DmSygdMx> sygdmx = baseMapper.getSygdmx("2023/08");
        if (sygdmx.size() < 1) {
            System.out.println("请导入零件配套表信息！");
        }

        //TODO 重新排产
//        pc(sygdMxList);

        return sygdmx;

    }
    public void pc(List<DmSygdMx> sygdMxList){
        //根据jssj从后往前排产
        //跨位信息 设备信息 设备产能  工厂日历
        //1.未来工厂日历信息
        List<EmGcrl> gcrlList=  gcrlService.list(new QueryWrapper<EmGcrl>()
                                                        .eq("xxr","1")
                                                        .eq("substring(gl,0,8) ","2023/08")
                                                        .orderByAsc("gl"));
        //2.未来一个月，可用设备（）
        for (EmGcrl emGcrl : gcrlList) {
            //当天，前方需求的板子
            List<DmSygdMx> list=  sygdMxList.stream().filter(x->x.getJssj().equals(emGcrl.getGl())).collect(Collectors.toList());
            if (list.size()>260){
                new Exception("前方需求有问题，每天加工的板数不能大于260张！");
            }
            //零件加工：坡口 曲面 打磨

            //切割

            //划线
            
            //上料





        }


        //3.排产


    }

}
